#
# spec file for package tree-sitter-json
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name json
Name:           tree-sitter-json
Version:        0.24.8
Release:        1.2
Summary:        Json grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-json
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.24.8:
  * ci(publish): add attestations and generate parser
- update to 0.24.4:
  * ci: use permissions in both spots
- update to 0.24.2:
  * update bindings
- update to 0.24.1:
  * update bindings
- update to 0.24.0:
  * build: update bindings
  * ci: update workflows
- update to 0.23.0:
  * fix(go): correct test
  * fix: move go.mod to root dir
  * feat: expose non-escaped string literal content in the parse tree
- switch to download_files service
- add neovim links
- add a license file
- enable devel package
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * fix: only allow strings in object keys
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.2:
  * chore: bump deps
  * fix: only allow strings in object keys
  * chore: move corpus under test
  * chore: add repository definition in package.json
  * ci: fix windows
  * ci: update CI action, add lint and publish actions
  * chore: update manifests
  * feat: add and apply eslint formatting
